Create Token

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Use /token to securely send card information to our PCI DSS compliant environment and create a token (unique identifier of the card data).

After it has been created, the token can be used in POST /payment/order to create an order.

Below you can see the parameters to send in the tokenization request with some pre-filled values as an example. The console on the right side allows you to test the request directly from here. To test either use our example values or feel free to change them according to your test scenario.

For testing purposes, please make sure to always use only a test card, never a real card. You can use our Test Cards section or PSP Test Cards section.

The token itself has no predefined lifetime so it does not expire. It will get expired when the card tokenized gets expired. Please note that for the token_type: oneshot cannot be reused multiple times. You can only reuse recurring token.


Body Params
string
required
Defaults to 4242424242424242

Full number (16 to 23 digits) of the card

string
required
Defaults to 12

Expiration month of the card (2 digits)

string
required
Defaults to 2028

Expiration year of the card (4 digits)

string
required
Defaults to 100

3 or 4 digits depending on the card scheme found either on the back or the front of the card.

string
required
Defaults to visa

Scheme chosen by the customer on the payment page

string
enum
required
Defaults to oneshot

Refers to reusability of the token.

Allowed:
string

Name of the card owner entered by the customer on the payment page

string
Defaults to 68da7168585219b89320c719

ID of the checkout created previously with the /payment/checkout endpoint

Headers
string
required

Public API key

Response

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json